
./kamaki - Support # 3526

Status: Closed Priority: High

Author: Stavros Sachtouris Category: kamaki

Created: 04/02/2013 Assignee: Stavros Sachtouris

Updated: 04/30/2013 Due date: 04/10/2013

Subject: Support the new objpool HTTP connection-response model and simplify kamaki.clients.connection

Description

Related issues:

related to ./kamaki - Bug # 3527: Some kamaki requests return "404 Not Found" Closed 04/02/2013

History

#1 - 04/02/2013 06:36 pm - Stavros Sachtouris

This is fixed in 0.7.8 with a hotfix patch. In version 0.8. we should also expect a cleaner kamaki.client.connection package along with this.

#2 - 04/04/2013 07:19 pm - Stavros Sachtouris

- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

The kamaki.client.connection module is removed in this new implementation

The fat layer of connection classes has been replaced by two classes in kamaki.client module: RequestManager and ResponseManager

A RequestManager instance handles the info needed for a request, and can be used to perform the request, but explicitely

A ResponseManager instance performs the request only when needed (lazy). and caches the results for as long as it remains alive

IMPORTANT CHANGE: Each client request creates new RequestManager and RequestResponse instances

Unittests have been adjusted accordingly

#3 - 04/30/2013 02:11 pm - Stavros Sachtouris

- Status changed from Resolved to Closed
